Subject: bug#50743: Emacsclient not tested vs. Local Variables prompt

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Sep 2021 14:03:40 +0300

> Cc: [email-masked], [email-masked], [email-masked],
>  [email-masked], [email-masked]
> From: martin rudalics <[email-masked]>
> Date: Sun, 26 Sep 2021 11:59:42 +0200
> 
>  >> I consider it a bug when the user gets prompted and the frame
>  >> displaying the prompt doesn't have focus.
>  >
>  > I don't, FWIW.  When exactly to switch focus is deeply personal.
>  > E.g., imagine that emacsclient is called while I'm still typing
>  > something into the original terminal window.
>  >
>  > In a windowed environment, it is IMO the user's duty to be aware of
>  > the input focus and switch it as needed.
> 
> IIUC this issue is about a frame displayed on top of the terminal
> window.

Is it?  That's not my understanding.  My understanding is that this
happens when the client frame already exists when emacsclient is
invoked, so it's probably elsewhere.